### Hierarchy

- IDBIndex

## Index

### Properties

- keyPath
- multiEntry
- name
- objectStore
- unique

### Methods

- count
- get
- getAll
- getAllKeys
- getKey
- openCursor
- openKeyCursor

## Properties

### keyPath

keyPath: string | string[]

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8857

### multiEntry

multiEntry: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8858

### name

name: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8864

Updates the name of the store to newName. Throws an "InvalidStateError" DOMException if not called within an upgrade transaction.

### objectStore

objectStore: IDBObjectStore

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8868

Returns the IDBObjectStore the index belongs to.

### unique

unique: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8869

## Methods

### count

- count(key?: IDBValidKey | IDBKeyRange): IDBRequest<number>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8875

  Retrieves the number of records matching the given key or key range in query. If successful, request's result will be the count.

  #### Parameters

  - ##### Optional key: IDBValidKey | IDBKeyRange

  #### Returns IDBRequest<number>

### get

- get(key: IDBValidKey | IDBKeyRange): IDBRequest<any | undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8881

  Retrieves the value of the first record matching the given key or key range in query. If successful, request's result will be the value, or undefined if there was no matching record.

  #### Parameters

  - ##### key: IDBValidKey | IDBKeyRange

  #### Returns IDBRequest<any | undefined>

### getAll

- getAll(query?: IDBValidKey | IDBKeyRange, count?: undefined | number): IDBRequest<any[]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8886

  Retrieves the values of the records matching the given key or key range in query (up to count if given). If successful, request's result will be an Array of the values.

  #### Parameters

  - ##### Optional query: IDBValidKey | IDBKeyRange

  - ##### Optional count: undefined | number

  #### Returns IDBRequest<any[]>

### getAllKeys

- getAllKeys(query?: IDBValidKey | IDBKeyRange, count?: undefined | number): IDBRequest<IDBValidKey[]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8891

  Retrieves the keys of records matching the given key or key range in query (up to count if given). If successful, request's result will be an Array of the keys.

  #### Parameters

  - ##### Optional query: IDBValidKey | IDBKeyRange

  - ##### Optional count: undefined | number

  #### Returns IDBRequest<IDBValidKey[]>

### getKey

- getKey(key: IDBValidKey | IDBKeyRange): IDBRequest<IDBValidKey | undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8897

  Retrieves the key of the first record matching the given key or key range in query. If successful, request's result will be the key, or undefined if there was no matching record.

  #### Parameters

  - ##### key: IDBValidKey | IDBKeyRange

  #### Returns IDBRequest<IDBValidKey | undefined>

### openCursor

- openCursor(range?: IDBValidKey | IDBKeyRange, direction?: IDBCursorDirection): IDBRequest<IDBCursorWithValue | null>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8903

  Opens a cursor over the records matching query, ordered by direction. If query is null, all records in index are matched. If successful, request's result will be an IDBCursorWithValue, or null if there were no matching records.

  #### Parameters

  - ##### Optional range: IDBValidKey | IDBKeyRange

  - ##### Optional direction: IDBCursorDirection

  #### Returns IDBRequest<IDBCursorWithValue | null>

### openKeyCursor

- openKeyCursor(range?: IDBValidKey | IDBKeyRange, direction?: IDBCursorDirection): IDBRequest<IDBCursor | null>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8908

  Opens a cursor with key only flag set over the records matching query, ordered by direction. If query is null, all records in index are matched. If successful, request's result will be an IDBCursor, or null if there were no matching records.

  #### Parameters

  - ##### Optional range: IDBValidKey | IDBKeyRange

  - ##### Optional direction: IDBCursorDirection

  #### Returns IDBRequest<IDBCursor | null>

Generated using TypeDoc